package cn.iocoder.yudao.module.system.api.saporg;

import cn.iocoder.yudao.framework.common.util.collection.CollectionUtils;
import cn.iocoder.yudao.module.system.api.saporg.dto.SapOrgRespDTO;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * Sap 组织部门 API 接口
 *
 * @author ruiqi
 */
public interface SapOrgApi {

    SapOrgRespDTO getSapOrg(Long id);

    List<SapOrgRespDTO> getSapOrgByType(Integer type);

    /**
     * 获得 sap org 信息数组
     *
     * @param ids sap org 编号数组
     * @return sap org信息数组
     */
    List<SapOrgRespDTO> getSapOrgList(Collection<Long> ids);

    /**
     * 获得指定编号的 sap org Map
     *
     * @param ids sap org 编号数组
     * @return sap org Map
     */
    default Map<Long, SapOrgRespDTO> getSapOrgMap(Collection<Long> ids) {
        List<SapOrgRespDTO> list = getSapOrgList(ids);
        return CollectionUtils.convertMap(list, SapOrgRespDTO::getId);
    }

}
